/*
 * WaitForProcess.java
 *
 * Created on August 28, 2004, 11:24 AM
 */

import javax.swing.*;

/**
 *
 * @author  guardia
 */

class WaitForProcess extends Thread
{
    Process theProcess;
    Runnable theRunnable;
        
    /** Creates a new instance of WaitForProcess */
    WaitForProcess(Process process, Runnable runnable) {
        theProcess = process;
        theRunnable = runnable;
    }
    
    public void run() {
        try {
            theProcess.waitFor();            
        }
        catch(InterruptedException e) {
            // ??
        }

        SwingUtilities.invokeLater(theRunnable);
    }
}

